Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 402817 - <app-arch/tar-1.27: Man page does not list that -p is default for superuser
Summary: <app-arch/tar-1.27: Man page does not list that -p is default for superuser
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on: 496212
Blocks:
  Show dependency tree
 
Reported: 2012-02-09 08:17 UTC by Josh
Modified: 2014-02-04 09:43 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
patch adding "default for superuser" to man page (diff,567 bytes, patch)
2012-02-09 08:25 UTC, Josh
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Josh 2012-02-09 08:17:27 UTC
The --help output states that -p is default for superuser, the man page does not. This is very confusing and should be fixed.

The --help output:
  -p, --preserve-permissions, --same-permissions
                             extract information about file permissions
                             (default for superuser)
      --preserve             same as both -p and -s
      --same-owner           try extracting files with the same ownership as
                             exists in the archive (default for superuser)

The man tar output:
       -p, --preserve-permissions
	      extract all protection information

       --same-owner
	      create extracted files with the same ownership


Reproducible: Always




The tar man page is packaged separately, as the tar tarball does not come with a man page, so this isn't an upstream bug.
Comment 1 Josh 2012-02-09 08:25:41 UTC
Created attachment 301353 [details, diff]
patch adding "default for superuser" to man page

Patch for /usr/portage/app-arch/tar/files/tar.1
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2014-02-03 14:03:08 UTC
man page of >=tar-1.27 contains that piece of information. As we are already in the process of stabilizing =app-arch/tar-1.27.1-r1 let's wait for that version to become stable.